package com.wdkl.ncs.android.middleware.logic.contract.callingbed

import com.wdkl.ncs.android.lib.base.BaseContract
import com.wdkl.ncs.android.middleware.model.ServerInfo
import com.wdkl.ncs.android.middleware.model.dos.AppVersionDO
import com.wdkl.ncs.android.middleware.model.dos.DeviceDO
import com.wdkl.ncs.android.middleware.model.dos.PartSettingDO
import com.wdkl.ncs.android.middleware.model.dto.TcpSeverDTO
import com.wdkl.ncs.android.middleware.model.vo.BedDeviceInfoVO
import com.wdkl.ncs.android.middleware.model.vo.CustomerInfoVO

//定义接口
interface CallingbedActivityContract {

    interface View :BaseContract.BaseView {

        fun showDeviceInfo(deviceInfo: BedDeviceInfoVO)

        fun setPartSettings(partSetting : PartSettingDO)

        fun setTcpServerHost(tcpSeverDTO: TcpSeverDTO)

        fun setServerInfo(data: ServerInfo)

        fun loadAppVersion(appInfo: AppVersionDO)

        fun showEmergencyInfo(deviceInfo: DeviceDO)

        fun onNoNet()
    }

    interface Presenter :BaseContract.BasePresenter {

        //获取设备信息
        fun loadDeviceInfo(mac: String)

        //获取设置参数
        fun loadPartSettings(partId: Int)

        //获取tcp服务器地址
        fun loadTcpServerHost()

        fun loadServerInfo()

        //获取APP版本信息
        fun getAppVersion(partId: Int, deviceType: Int)

        //获取紧急按钮设备信息
        fun getEmergencyDeviceInfo(frameId: Int)
    }
}